﻿using System;
using System.Data;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.showButton.Click += showButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Show 버튼 클릭시 처리하기 - showButton_Click(sender, e)

        /// <summary>
        /// Show 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showButton_Click(object sender, EventArgs e)
        {
            PasteCSVForm popupForm = new PasteCSVForm();

            popupForm.Owner                 = this;
            popupForm.UseHeaderText         = true;
            popupForm.MaximumColumnCount    = -1;
          //popupForm.AllowAutoColumnSizing = false;
          //popupForm.AllowAutoRowSizing    = true;
 
            if(popupForm.ShowDialog() == DialogResult.OK)
            {
                IDataReader reader = popupForm.GetDataReader();

                if(reader != null)
                {
                    int count = 0;

                    while(reader.Read())
                    {
                        count++;
                    }

                    MessageBox.Show(count.ToString());
                }
            }
        }

        #endregion
    }
}